<!-- activity-A -->
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Activity A</title>
</head>
<body>
	<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
	<br/>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<br/>
	<p><strong>IEEE-CS/ACM Joint Task Force on Softawre Engineering Ethics and Professional Practices</strong></p>
	<hr/>
	<p><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</p>
	<br/>
	<h2>PREAMBLE</h2>
	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details can become high-sounding but empty; together, the aspirations and the details form a cohesive code.</p>
	<p>Software engineers shall commit themseleves to making the analysis, speification , design, development, testing, and maintenance ofsoftware a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight principles</p>
	<br/>
	<h2>PRINCIPLES</h2>
	<ol>
		<li><em>Public.</em> Software engineer shall act consistently with the public interest.</li>
		<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interest of the client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Software engineers shall ensure that their products and related modifications are the highest professional standards possible</li>
		<li><em>Judgment.</em> Software engineers shall maintain integrity and independence in their professional judgment.</li>
		<li><em>Management.</em> Software engineering managers and leaders sjall subscribe to and promote ethical approach to the management of software development and maintenance.</li>
		<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of profession and shall promote an ethical approach to the practice of the profession</li>
	</ol>


</body>
</html>